/* CSS Variables - k tomuto si pozri video od manika */
:root {
    --primary: #fff;
    --black: #000;
    --light-grey: #666;
    --blue: #0099cc;
    --brown: #b24020;
}

html {
    box-sizing: border-box;
    scroll-behavior: smooth;
}

body {
    background-color: var(--primary);
    margin: 0 auto;
    line-height: 1.5;
    font-family: 'Raleway', 'HelveticaNeue', "Helvetica Neue", 'Helvetica', 'Arial', sans-serif;
    color: var(--black);
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.wrapper {
    display: grid;
    grid-gap: 1.25rem;
}

h2 {font-size: 2rem; padding-bottom: 1.25rem;}
h3 {font-size: 1.5rem; padding: 0rem;}

.upper {text-transform: uppercase;}
.label {font-weight: bold;}
.blue-font {color: var(--blue);}
.brown-font {color: var(--brown);}

/* Navigation Menu */

.menubtn {
    position: fixed;
    top: 2rem;
    right: 2rem;
    font-size: 2rem;
    cursor: pointer;
  }

.overlay {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    background-color:  rgb(0,0,0);
    background-color: rgba(0,0,0, 0.9);
    overflow-x: hidden;
    transition: 0.1s;
  }
  
.overlay-content {
    position: relative;
    top: 25%;
    width: 100%;
    text-align: center;
    margin-top: 2.75rem;
  }
  
.overlay a {
    padding: 0.5rem;
    text-decoration: none;
    font-size: 2.25rem;
    color: var(--light-grey);
    display: block;
    transition: 0.4s;
  }
  
.overlay a:hover, .overlay a:focus {
    color: #f1f1f1;
  }
  
.overlay .closebtn {
    position: absolute;
    top: 0.5rem;
    right: 1rem;
    font-size: 3.5rem;
  }

/* Top Container */
.top-container {
    height: 100vh;
    display: grid;
    grid-template-columns: 45% 55%;
    grid-template-rows: 90% 10%;
    grid-template-areas: 
        "topbox1 topbox2"
        "topbox3 topbox3";
}

.topbox1 {
    grid-area: topbox1;
    padding-left: 20%;
}

.topbox2 {
    grid-area: topbox2;
    justify-items: center;
    align-items: center;
}

#main-image {
    height: 80vh;
    padding-top: 5vh;
    align-self: center;
    justify-self: center;
}

.topbox3 {
    grid-area: topbox3;
}

.topbox1 h1 { 
    font-size: 4.5rem;
    color: var(--blue);
    margin-bottom: 0;
    padding-top: 20vh;
}

.topbox1 p {
    font-size: 2.25rem;
    margin-top: 2.5rem;
    text-align: left;
}

.topbox3 .arrow-item {
    display: grid;
    align-items: center;
    justify-content: center;
}

.arrow {
    height: 2.5rem;
    width: 2.5rem;
    border-style: solid;
    border-color: var(--black);
    border-width: 0rem 0.0625rem 0.0625rem 0rem;
    transform: rotate(45deg);
}
  
.arrow:hover {
    border-bottom-width: 0.25rem;
    border-right-width: 0.25rem;
}

/* Experience */
.experience {
    background: var(--primary);
    display: grid;
    justify-items: center;
    text-align: center;
    padding: 6rem 1rem 1rem 1rem;
}

.description {
    width: 43rem;
}

.experience-boxes {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    padding: 4rem 0 2rem 0rem;
}

.exp-box {
    display: flex;
    align-items: center;
    text-align: left;
    width: 15rem;
}

.exp-icon {
    display: inline-block;
    height: 2.5rem;
    width: 2.5rem;
    margin: 0 1rem 0 3rem;
}

/* Learning Outcomes */
.benefits {
    display: grid;
    align-items: center;
    justify-items: center;
    text-align: center;
    padding: 2.5rem 0rem;
}

ul.sub-benefits {
    display: grid;
    padding: 0.5rem;
    list-style-type: circle;
    text-align: left;
}

.benefit-box {
    display: flex;
    align-items: center;
    text-align: left;
}

.benefit-box h3 {
    color: var(--blue);
    width: 12rem;
}

/* How it works */
.how-container {
    display: grid;
    background: var(--primary);
    align-items: center;
    justify-items: center;
    padding: 3rem 0;
}

.all-stages {
    display: grid;
    /* grid-gap: 0.5rem 1.5rem; */
    grid-template-columns: repeat(3, 1fr);
}

.stage {
    display: flex;
    align-items: center;
    text-align: center;
    padding: 1.5rem 3rem;
}

.stage-content p {
    max-width: 24ch;
}

.stage-img {
    width: 80%;
}

/* Contact */
.contact {
    align-items: center;
    justify-items: center;
    text-align: center;
    padding: 5rem 0rem;
}

.icon, .email {
    color: var(--black);
    text-decoration: none;
}

/* Footer */
footer {
    margin: 2rem;
    text-align: center;
    padding: 1rem 0rem;
}

/* Media Queries */
@media (max-width: 1400px) {
    #main-image {height: 70vh;}
    .top-container h1 {font-size: 3rem;}
    .top-container p {font-size: 1.75rem;}
}

@media (max-width: 1100px) {

    .top-container {
        height: 100vh;
        display: grid;
        grid-template-columns: 100%;
        grid-template-rows: 50% 40% 10%;
        grid-template-areas: 
            "topbox1" 
            "topbox2"
            "topbox3";
    }

    .topbox1 {padding-left: 0; text-align: center;}
    .topbox2 {align-items: center;}
    #main-image {height: 50vw; padding: 0 25vw;}

    .top-container h1 {font-size: 3.25rem;}
    .top-container p {font-size: 1.75rem; text-align: center;}
    h2 {font-size: 1.75rem; padding-bottom: 1.25rem;}
    h3 {font-size: 1.5rem;}
    p {font-size: 1rem;}
    .benefits li {font-size: 1rem; text-align: left;}
    .description {width: 36rem;}
    .experience-boxes {grid-template-columns: repeat(1, 1fr);}
    .exp-box {padding-bottom: 2rem;}

    .benefit-box {
        display: grid;
        text-align: left;
    }

    .all-stages {grid-template-columns: repeat(2, 1fr);}

}

@media (max-width: 600px) {

    .menubtn {
        top: 1.25rem;
        right: 1.25rem;}
    .overlay .closebtn {
        top: 0.75rem;
        right: 1rem;}
    .overlay a {font-size: 1.5rem;}
    .overlay .closebtn .menutbn {
        font-size: 2.5rem;
        top: 1rem;
        right: 2rem;}
    .arrow {
        height: 1.5rem;
        width: 1.5rem;}
        
    .top-container h1 {font-size: 2.25rem;}
    .top-container p {font-size: 1rem; margin-top: 1rem;}
    h2 {font-size: 1.5rem; padding-bottom: 2rem;}
    h3 {font-size: 1.25rem;}
    p {font-size: 0.9rem;}
    .benefits li {font-size: 0.9rem; text-align: left;}
    .description {width: 20.5rem;}
    .exp-box {padding-bottom: 1.5rem;}
    .all-stages {grid-template-columns: repeat(1, 1fr);}
    ul {width: 16rem;}
    
    .image {
        width: 60%;
    }

    .copyright {font-size: 0.8rem;}
}